Package org.apache.groovy.ginq.provider.collection.runtime

# Interface Group<T>

Type Parameters:
  `T` - the type of element

All Superinterfaces:
  `Queryable<T>`

public interface Group<T> extends Queryable<T>
Represents group

Since:
  4.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.groovy.ginq.provider.collection.runtime.Queryable

  `Queryable.Order<T,U extends Comparable<? super U>>`

- ## Field Summary

  ### Fields inherited from interface org.apache.groovy.ginq.provider.collection.runtime.Queryable

  `EMPTY_QUERYABLE, NULL`

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static <T> Group<T>`
  `of(Stream<T> sourceStream)`
  Factory method to create `Group` instance

  ### Methods inherited from interface org.apache.groovy.ginq.provider.collection.runtime.Queryable

  `agg, avg, count, count, crossJoin, distinct, exists, fullHashJoin, fullJoin, groupBy, groupBy, innerHashJoin, innerJoin, intersect, leftHashJoin, leftJoin, limit, limit, list, max, median, min, minus, orderBy, orderBy, over, rightHashJoin, rightJoin, select, size, stdev, stdevp, stream, sum, toList, union, unionAll, var, varp, where`

- ## Method Details

  - ### of

    static <T> Group<T> of(Stream<T> sourceStream)
    Factory method to create `Group` instance
    Type Parameters:
      `T` - the type of element
    Parameters:
      `sourceStream` - the source stream
    Returns:
      the `Group` instance
    Since:
      4.0.0